Loading...
Searching...
No Matches
casacore::RegionType Class Reference
lattices package (libcasa_lattices) » LRegions_module

More...

`#include <RegionType.h>`

## Public Types

enum | Type { Invalid , Other , LC , WC , ArrSlicer , nRegionTypes }
| Define the type of region. More...
enum | AbsRelType { Abs , RelRef , RelCen , nAbsRelTypes }
| Define if a region is absolute or relative. More...

## Static Public Member Functions

static AbsRelType | absRelTypeFromString (const String &absreltype)

## Detailed Description

Define the various region types.

### Intended use:

Public interface

### Synopsis

This class defines 2 enum's used by the region classes in module Lattices and Images.

Definition at line 49 of file RegionType.h.

## Member Enumeration Documentation

## AbsRelType

enum casacore::RegionType::AbsRelType

Define if a region is absolute or relative.

The values are used in regionmanager(gui).g, so they should not be changed.

Enumerator
Abs | absolute
RelRef | relative to reference pixel
RelCen | relative to center
nAbsRelTypes | Number of recognized types only.

Definition at line 73 of file RegionType.h.

## Type

enum casacore::RegionType::Type

Define the type of region.

The values are used in regionmanager(gui).g, so they should not be changed.

Enumerator
Invalid | Not used yet.
Other | Other type is not used yet.
LC | lattice region (pixel coordinates)
WC | image region (world coordinates)
ArrSlicer | array slicer (pixel based with optional stride)
nRegionTypes | Number of recognized types only.

Definition at line 55 of file RegionType.h.

## Member Function Documentation

## absRelTypeFromString()

AbsRelType casacore::RegionType::absRelTypeFromString | ( | const String & | absreltype | ) |

static

The documentation for this class was generated from the following file:

- lattices/LRegions/RegionType.h